This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 135377 - No /dev/nst0 created
No /dev/nst0 created
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-12 07:36 EDT by Neal Becker
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 07:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2004-10-12 07:36:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
There is no /dev/nst0.  I have a scsi tape unit.

Until last updates this workaround was useable:

modprobe st

Now, this doesn't work either.  IMHO, this must be fixed before release.

Version-Release number of selected component (if applicable):
udev-034-2

How reproducible:
Always

Steps to Reproduce:
1. mt -t /dev/nst0 rewind
2.
3.
    

Additional info:
Comment 1 Harald Hoyer 2004-10-12 08:18:51 EDT
1. does "mt -t /dev/nst0 rewind" work after "/sbin/MAKEDEV -z nst0" ??
2. does downgrading to a prior version of udev fix your problem
Comment 2 Neal Becker 2004-10-12 08:21:41 EDT
 sudo /sbin/MAKEDEV -z nst0 
/sbin/MAKEDEV: invalid option -- z 
 
Comment 3 Harald Hoyer 2004-10-12 08:22:35 EDT
oops, I meant "/sbin/MAKEDEV -x nst0"
Comment 4 Neal Becker 2004-10-12 08:25:36 EDT
After /sbin/MAKEDEV nst0, I can access my tape unit fine. 
I am backing up right now. 
 
Comment 5 Harald Hoyer 2004-10-12 10:50:40 EDT
please try udev-035-1, as soon as it appears in rawhide
Comment 6 Neal Becker 2004-10-13 12:47:38 EDT
OK, I have udev-035-1.  It might be working.  Not sure how to test. 
 
The tape appears to work, but I have /dev/nst0 already there before 
last boot.  Should I try rm-ing it and see if udev creates it?  Is 
that how things are suppoesed to work? 
Comment 7 Harald Hoyer 2004-10-14 04:32:43 EDT
îf you have a standard fedora 3 installation, a tmpfs is mounted on
/tmp, so /tmp is gone after every reboot... :)
Comment 8 Neal Becker 2004-10-14 09:57:09 EDT
Wow, I have no idea what you're saying. 
 
1. I _do_ have a new install of fc3t2, with all updates.  There is no 
tmpfs mounted on /tmp. 
 
2. What does this have to do with whether /dev/nst0 is created 
statically or dynamically? 
Comment 9 Harald Hoyer 2004-10-14 10:27:02 EDT
really????
$ cat /proc/mounts|fgrep ' /dev'
Comment 10 Neal Becker 2004-10-14 10:30:19 EDT
I see, yes.  Strange, 'mount' doesn't show this.  Sounds like a bug 
in mount IMHO. 
 
Comment 11 Harald Hoyer 2004-10-14 10:33:35 EDT
no... /etc/mtab was not there at the time /tmp was mounted... this
happened in the initramfs phase... before "/" was mounted.
Comment 12 Harald Hoyer 2004-10-14 10:36:08 EDT
so, just reboot and all devices you see in /dev were created by udev..
Comment 13 Harald Hoyer 2004-10-20 06:58:43 EDT
status?
Comment 14 Neal Becker 2004-10-20 07:07:03 EDT
Appears to be fixed.  Thanks! 

Note You need to log in before you can comment on or make changes to this bug.